メインコンテンツへスキップ
GET
/
2
/
dm_conversations
/
{id}
/
dm_events
DM 会話内の DM イベントを取得する
curl --request GET \
  --url https://api.x.com/2/dm_conversations/{id}/dm_events \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "event_type": "MessageCreate",
      "id": "1146654567674912769",
      "attachments": {
        "card_ids": [
          "<string>"
        ],
        "media_keys": [
          "<string>"
        ]
      },
      "cashtags": [
        {
          "end": 61,
          "start": 50,
          "tag": "TWTR"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "dm_conversation_id": "123123123-456456456",
      "hashtags": [
        {
          "end": 61,
          "start": 50,
          "tag": "MondayMotivation"
        }
      ],
      "mentions": [
        {
          "end": 61,
          "start": 50,
          "username": "<string>",
          "id": "2244994945"
        }
      ],
      "participant_ids": [
        "2244994945"
      ],
      "referenced_tweets": [
        {
          "id": "1346889436626259968"
        }
      ],
      "sender_id": "2244994945",
      "text": "<string>",
      "urls": [
        {
          "end": 61,
          "start": 50,
          "url": "https://developer.twitter.com/en/docs/twitter-api",
          "description": "This is a description of the website.",
          "display_url": "twittercommunity.com/t/introducing-…",
          "expanded_url": "https://developer.twitter.com/en/docs/twitter-api",
          "images": [
            {
              "height": 1,
              "url": "https://developer.twitter.com/en/docs/twitter-api",
              "width": 1
            }
          ],
          "media_key": "<string>",
          "status": 349,
          "title": "Introducing the v2 follow lookup endpoints",
          "unwound_url": "https://twittercommunity.com/t/introducing-the-v2-follow-lookup-endpoints/147118"
        }
      ]
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "includes": {
    "media": [
      {
        "type": "<string>",
        "preview_image_url": "<string>",
        "variants": [
          {
            "bit_rate": 123,
            "content_type": "<string>",
            "url": "<string>"
          }
        ],
        "height": 1,
        "media_key": "<string>",
        "width": 1
      }
    ],
    "places": [
      {
        "full_name": "Lakewood, CO",
        "id": "f7eb2fa2fea288b1",
        "contained_within": [
          "f7eb2fa2fea288b1"
        ],
        "country": "United States",
        "country_code": "US",
        "name": "Lakewood",
        "place_type": "city"
      }
    ],
    "polls": [
      {
        "id": "1365059861688410112",
        "options": [
          {
            "label": "<string>",
            "position": 123,
            "votes": 123
          }
        ],
        "duration_minutes": 5042,
        "end_datetime": "2023-11-07T05:31:56Z",
        "voting_status": "open"
      }
    ],
    "topics": [
      {
        "id": "<string>",
        "name": "Technology",
        "description": "All about technology"
      }
    ],
    "tweets": [
      {
        "author_id": "2244994945",
        "created_at": "Wed Jan 06 18:40:40 +0000 2021",
        "id": "1346889436626259968",
        "text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
        "username": "XDevelopers"
      }
    ],
    "users": [
      {
        "created_at": "2013-12-14T04:35:55Z",
        "id": "2244994945",
        "name": "X Dev",
        "protected": false,
        "username": "TwitterDev"
      }
    ]
  },
  "meta": {
    "next_token": "<string>",
    "previous_token": "<string>",
    "result_count": 123
  }
}

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

id
string
必須

DM 会話のID。 DM 会話の一意の識別子。この値は 1 つの数値文字列、または 1 対 1 の DM 会話の場合は 2 つの数値文字列を '-' で連結した文字列のいずれかです。

Pattern: ^([0-9]{1,19}-[0-9]{1,19}|[0-9]{15,19})$
:

"123123123-456456456"

クエリパラメータ

max_results
integer<int32>
デフォルト:100

取得する結果の最大数。

必須範囲: 1 <= x <= 100
pagination_token
string

このパラメータを使用して、指定した「ページ」の結果を取得します。 Base32 形式のページネーショントークン。

Minimum string length: 16
event_types
enum<string>[]

結果に含める event_types のセット。

Minimum array length: 1
利用可能なオプション:
MessageCreate,
ParticipantsJoin,
ParticipantsLeave
:
["MessageCreate", "ParticipantsLeave"]
dm_event.fields
enum<string>[]

レスポンスに含める DmEvent のフィールドを、カンマ区切りのリストで指定します。 DmEvent オブジェクトで利用可能なフィールドです。

Minimum array length: 1
利用可能なオプション:
attachments,
created_at,
dm_conversation_id,
entities,
event_type,
id,
participant_ids,
referenced_tweets,
sender_id,
text
:
[
  "attachments",
  "created_at",
  "dm_conversation_id",
  "entities",
  "event_type",
  "id",
  "participant_ids",
  "referenced_tweets",
  "sender_id",
  "text"
]
expansions
enum<string>[]

展開するフィールドをカンマ区切りで指定します。 DmEvent オブジェクトに対して展開可能なフィールドの一覧です。フィールドに id が含まれている場合は、その id を用いて完全なオブジェクトに展開できます。

Minimum array length: 1
利用可能なオプション:
attachments.media_keys,
participant_ids,
referenced_tweets.id,
sender_id
:
[
  "attachments.media_keys",
  "participant_ids",
  "referenced_tweets.id",
  "sender_id"
]
media.fields
enum<string>[]

取得する Media フィールドをカンマ区切りで指定します。 Media オブジェクトで使用できるフィールドです。

Minimum array length: 1
利用可能なオプション:
alt_text,
duration_ms,
height,
media_key,
non_public_metrics,
organic_metrics,
preview_image_url,
promoted_metrics,
public_metrics,
type,
url,
variants,
width
:
[
  "alt_text",
  "duration_ms",
  "height",
  "media_key",
  "non_public_metrics",
  "organic_metrics",
  "preview_image_url",
  "promoted_metrics",
  "public_metrics",
  "type",
  "url",
  "variants",
  "width"
]
user.fields
enum<string>[]

表示する User フィールドを指定するカンマ区切りのリストです。 User オブジェクトで利用可能なフィールドです。

Minimum array length: 1
利用可能なオプション:
affiliation,
confirmed_email,
connection_status,
created_at,
description,
entities,
id,
is_identity_verified,
location,
most_recent_tweet_id,
name,
parody,
pinned_tweet_id,
profile_banner_url,
profile_image_url,
protected,
public_metrics,
receives_your_dm,
subscription,
subscription_type,
url,
username,
verified,
verified_followers_count,
verified_type,
withheld
:
[
  "affiliation",
  "confirmed_email",
  "connection_status",
  "created_at",
  "description",
  "entities",
  "id",
  "is_identity_verified",
  "location",
  "most_recent_tweet_id",
  "name",
  "parody",
  "pinned_tweet_id",
  "profile_banner_url",
  "profile_image_url",
  "protected",
  "public_metrics",
  "receives_your_dm",
  "subscription",
  "subscription_type",
  "url",
  "username",
  "verified",
  "verified_followers_count",
  "verified_type",
  "withheld"
]
tweet.fields
enum<string>[]

表示するツイートのフィールドを、カンマ区切りで指定するリスト。 ツイートオブジェクトで使用できるフィールド。

Minimum array length: 1
利用可能なオプション:
article,
attachments,
author_id,
card_uri,
community_id,
context_annotations,
conversation_id,
created_at,
display_text_range,
edit_controls,
edit_history_tweet_ids,
entities,
geo,
id,
in_reply_to_user_id,
lang,
media_metadata,
non_public_metrics,
note_tweet,
organic_metrics,
possibly_sensitive,
promoted_metrics,
public_metrics,
referenced_tweets,
reply_settings,
scopes,
source,
suggested_source_links,
suggested_source_links_with_counts,
text,
withheld
:
[
  "article",
  "attachments",
  "author_id",
  "card_uri",
  "community_id",
  "context_annotations",
  "conversation_id",
  "created_at",
  "display_text_range",
  "edit_controls",
  "edit_history_tweet_ids",
  "entities",
  "geo",
  "id",
  "in_reply_to_user_id",
  "lang",
  "media_metadata",
  "non_public_metrics",
  "note_tweet",
  "organic_metrics",
  "possibly_sensitive",
  "promoted_metrics",
  "public_metrics",
  "referenced_tweets",
  "reply_settings",
  "scopes",
  "source",
  "suggested_source_links",
  "suggested_source_links_with_counts",
  "text",
  "withheld"
]

レスポンス

リクエストは成功しました。

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。

includes
object
meta
object